<?php
/**
 * Modbash Clean Elgg Theme
 *
 * Copyright (c) 2015 ModBash
 *
 * @author     Shane Barron <admin@modbash.com>
 * @copyright  2015 SocialApparatus
 * @license    GNU General Public License (GPL) version 2
 * @version    1
 * @link       http://modbash.com
 */
?>
/* <style> /**/

    /* ***************************************
            Image Block
    *************************************** */
    .elgg-image-block {
        padding: 10px 0;
    }
    .elgg-image-block .elgg-image {
        float: left;
        margin-right: 8px;
    }
    .elgg-image-block .elgg-image-alt {
        float: right;
        margin-left: 8px;
    }

    /* ***************************************
            List
    *************************************** */
    .elgg-list {
        margin: 5px 0;
        clear: both;
    }
    .elgg-list > li {
        border-bottom: 1px solid #DCDCDC;
    }
    .elgg-item h3 a {
        padding-bottom: 4px;
    }
    .elgg-item > .elgg-subtext {
        margin-bottom: 4px;
    }
    .elgg-item .elgg-content {
        margin: 10px 5px 10px 0;
    }
    .elgg-content {
        clear: both;
    }

    /* ***************************************
            Gallery
    *************************************** */
    .elgg-gallery {
        border: none;
        margin-right: auto;
        margin-left: auto;
    }
    .elgg-gallery td {
        padding: 5px;
    }
    .elgg-gallery-fluid > li {
        float: left;
    }
    .elgg-gallery-users > li {
        margin: 0 2px;
    }

    /* ***************************************
            Tables
    *************************************** */
    .elgg-table {
        width: 100%;
        border-top: 1px solid #DCDCDC;
    }
    .elgg-table td, .elgg-table th {
        padding: 4px 8px;
        border: 1px solid #DCDCDC;
    }
    .elgg-table th {
        background-color: #DDD;
    }
    .elgg-table tr:nth-child(odd), .elgg-table tr.odd {
        background-color: #FFF;
    }
    .elgg-table tr:nth-child(even), .elgg-table tr.even {
        background-color: #F0F0F0;
    }
    .elgg-table-alt {
        width: 100%;
        border-top: 1px solid #DCDCDC;
    }
    .elgg-table-alt th {
        background-color: #EEE;
        font-weight: bold;
    }
    .elgg-table-alt td, .elgg-table-alt th {
        padding: 6px 0;
        border-bottom: 1px solid #DCDCDC;
    }
    .elgg-table-alt td:first-child {
        width: 200px;
    }
    .elgg-table-alt tr:hover {
        background: #E4E4E4;
    }

    /* ***************************************
            Owner Block
    *************************************** */
    .elgg-owner-block {
        margin-bottom: 20px;
    }

    /* ***************************************
            Messages
    *************************************** */
    .elgg-message {
        color: #FFF;
        display: block;
        padding: 10px 20px;
        cursor: pointer;
        opacity: 0.9;
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
        border-radius: 3px;
    }
    .elgg-state-success {
        background-color: #090;
    }
    .elgg-state-error {
        background-color: #F00;
    }
    .elgg-state-notice {
        background-color: #5097CF;
    }
    .elgg-box-error {
        margin-top: 10px;
        padding: 20px;
        color: #B94A48;
        background-color: #F8E8E8;
        border: 1px solid #E5B7B5;
        border-radius: 5px;
    }

    /* ***************************************
            River
    *************************************** */
    .elgg-list-river {
        margin-top: -10px;
    }
    .elgg-river-layout .elgg-list-river {
        border-top: 1px solid #DCDCDC;
    }
    .elgg-list-river > li {
        border-bottom: 1px solid #DCDCDC;
    }
    .elgg-river-item .elgg-pict {
        margin-right: 20px;
    }
    .elgg-river-timestamp {
        color: #666;
        font-size: 85%;
        font-style: italic;
        line-height: 1.2em;
    }

    .elgg-river-attachments,
    .elgg-river-message,
    .elgg-river-content {
        border-left: 1px solid #DCDCDC;
        margin: 8px 0 5px 0;
        padding-left: 8px;
    }
    .elgg-river-attachments .elgg-avatar,
    .elgg-river-attachments .elgg-icon {
        float: left;
    }
    .elgg-river-attachments .elgg-icon-arrow-right {
        margin: 3px 8px 0;
    }
    .elgg-river-layout .elgg-input-dropdown {
        float: right;
        margin: 10px 0;
    }
    .elgg-river-comments-tab {
        display: block;
        background-color: #EEE;
        margin-top: 5px;
        width: auto;
        float: right;
        font-size: 85%;
        padding: 1px 8px;
        border-radius: 3px 3px 0 0;
    }

    <?php //@todo components.php ?>
    .elgg-river-comments {
        margin: 0;
        border-top: none;
    }
    .elgg-river-comments li:first-child {
        border-radius: 3px 0 0;
    }
    .elgg-river-comments li:last-child {
        border-radius-bottomleft: 0 0 5px 5px;
    }
    .elgg-river-comments li {
        background-color: #EEE;
        border-bottom: none;
        padding: 4px 4px 4px 10px;
        margin-bottom: 2px;
    }
    .elgg-river-comments li .elgg-output {
        padding-right: 5px;
    }
    .elgg-river-comments .elgg-media {
        padding: 0;
    }
    .elgg-river-more {
        background-color: #EEE;
        border-radius: 3px;
        padding: 2px 4px;
        font-size: 85%;
        margin-bottom: 2px;
    }

    <?php //@todo location-dependent styles ?>
    .elgg-river-item form {
        background-color: #EEE;
        padding: 6px;
        border-radius: 3px;
        height: auto;
    }
    .elgg-river-item input[type=text] {
        width: 78%;
    }
    .elgg-river-item input[type=submit] {
        margin: 0 0 0 10px;
    }


    /* **************************************
            Comments (from elgg_view_comments)
    ************************************** */
    .elgg-comments {
        margin-top: 25px;
    }
    .elgg-comments > form {
        margin-top: 15px;
    }

    /* ***************************************
            Image-related
    *************************************** */
    .elgg-photo {
        border: 1px solid #DCDCDC;
        padding: 3px;
        background-color: #FFF;

        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;

        max-width: 100%;
        height: auto;
    }

    /* ***************************************
            Tags
    *************************************** */
    .elgg-tags {
        font-size: 85%;
    }
    .elgg-tags > li {
        float:left;
        margin-right: 5px;
    }
    .elgg-tags li.elgg-tag:after {
        content: ",";
    }
    .elgg-tags li.elgg-tag:last-child:after {
        content: "";
    }
    .elgg-tagcloud {
        text-align: justify;
        margin-bottom: 5px;
    }

